Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.context.request
Interface NativeWebRequest

All Superinterfaces:
  RequestAttributes, WebRequest

All Known Implementing Classes:
  DispatcherServletWebRequest, FacesWebRequest, PortletWebRequest, ServletWebRequest

    public interface NativeWebRequest

extends WebRequest

Extension of the `WebRequest` interface, exposing the native request and response objects in a generic fashion.

Mainly intended for framework-internal usage, in particular for generic argument resolution code.

Since:
  2.5.2
Author:
  Juergen Hoeller

Field Summary

Fields inherited from interface org.springframework.web.context.request.RequestAttributes
`SCOPE_GLOBAL_SESSION, SCOPE_REQUEST, SCOPE_SESSION`

Method Summary
`Object` | `getNativeRequest()` Return the underlying native request object, if available.
`Object` | `getNativeResponse()` Return the underlying native response object, if available.

Methods inherited from interface org.springframework.web.context.request.WebRequest
`checkNotModified, getContextPath, getDescription, getLocale, getParameter, getParameterMap, getParameterValues, getRemoteUser, getUserPrincipal, isSecure, isUserInRole`

Methods inherited from interface org.springframework.web.context.request.RequestAttributes
`getAttribute, getAttributeNames, getSessionId, getSessionMutex, registerDestructionCallback, removeAttribute, setAttribute`

Method Detail

### getNativeRequest

    Object getNativeRequest()

  Return the underlying native request object, if available.

  See Also:
    `HttpServletRequest`, `ActionRequest`, `RenderRequest`

### getNativeResponse

    Object getNativeResponse()

  Return the underlying native response object, if available.

  See Also:
    `HttpServletResponse`, `ActionResponse`, `RenderResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.